> For the complete documentation index, see [llms.txt](https://docs.syntho.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syntho.ai/syntho-api/syntho-rest-api/auth.md).

# Auth

## GET /api/v1/auth/

> Login methods

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]},{}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"LoginMethodsResponse":{"type":"object","properties":{"username_password_enabled":{"type":"boolean"},"oidc_providers":{"type":"array","items":{"$ref":"#/components/schemas/OIDCProviders"}},"session_timeout":{"type":"integer"}},"required":["session_timeout","username_password_enabled"]},"OIDCProviders":{"type":"object","properties":{"provider":{"type":"string"},"url":{"type":"string"}},"required":["provider","url"]}}},"paths":{"/api/v1/auth/":{"get":{"operationId":"auth_retrieve","description":"Login methods","tags":["Auth"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginMethodsResponse"}}},"description":"Success: Login methods"}}}}}}
```

## POST /api/v1/auth/

> Sign in as Syntho user

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]},{}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SessionForm":{"type":"object","properties":{"email":{"type":"string","format":"email","maxLength":255},"password":{"type":"string","maxLength":64,"minLength":8}},"required":["email","password"]},"SignedInResponse":{"type":"object","properties":{"new_password_required":{"type":"boolean"},"pk":{"type":"integer"}},"required":["new_password_required","pk"]}}},"paths":{"/api/v1/auth/":{"post":{"operationId":"auth_create","description":"Sign in as Syntho user","tags":["Auth","Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SessionForm"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignedInResponse"}}},"description":"Success: Session Created"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignedInResponse"}}},"description":"Error Bad Request: Invalid Credentials"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignedInResponse"}}},"description":"Error: Unauthorized - this error means you submit an old (invalid) token alongside the login request."}}}}}}
```

## DELETE /api/v1/auth/

> Sign out

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]},{}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SignedOutResponse":{"type":"object","properties":{"status":{"type":"string","default":"OK"}}}}},"paths":{"/api/v1/auth/":{"delete":{"operationId":"auth_destroy","description":"Sign out","tags":["Auth"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignedOutResponse"}}},"description":"Success: Session Deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignedOutResponse"}}},"description":"Error: Unauthorized"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/auth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
